Mailinglist Archive: opensuse-updates (174 mails)

< Previous Next >
openSUSE-SU-2020:1608-1: important: Security update for xen
openSUSE Security Update: Security update for xen
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:1608-1
Rating: important
References: #1027519 #1176339 #1176341 #1176343 #1176344
#1176345 #1176346 #1176347 #1176348 #1176349
#1176350
Cross-References: CVE-2020-25595 CVE-2020-25596 CVE-2020-25597
CVE-2020-25598 CVE-2020-25599 CVE-2020-25600
CVE-2020-25601 CVE-2020-25602 CVE-2020-25603
CVE-2020-25604
Affected Products:
openSUSE Leap 15.2
______________________________________________________________________________

An update that solves 10 vulnerabilities and has one errata
is now available.

Description:

This update for xen fixes the following issues:

- CVE-2020-25602: Fixed an issue where there was a crash when handling
guest access to MSR_MISC_ENABLE was thrown (bsc#1176339,XSA-333)
- CVE-2020-25598: Added a missing unlock in XENMEM_acquire_resource error
path (bsc#1176341,XSA-334)
- CVE-2020-25604: Fixed a race condition when migrating timers between x86
HVM vCPU-s (bsc#1176343,XSA-336)
- CVE-2020-25595: Fixed an issue where PCI passthrough code was reading
back hardware registers (bsc#1176344,XSA-337)
- CVE-2020-25597: Fixed an issue where a valid event channels may not turn
invalid (bsc#1176346,XSA-338)
- CVE-2020-25596: Fixed a potential denial of service in x86 pv guest
kernel via SYSENTER (bsc#1176345,XSA-339)
- CVE-2020-25603: Fixed an issue due to missing barriers when
accessing/allocating an event channel (bsc#1176347,XSA-340)
- CVE-2020-25600: Fixed out of bounds event channels available to 32-bit
x86 domains (bsc#1176348,XSA-342)
- CVE-2020-25599: Fixed race conditions with evtchn_reset()
(bsc#1176349,XSA-343)
- CVE-2020-25601: Fixed an issue due to lack of preemption in
evtchn_reset() / evtchn_destroy() (bsc#1176350,XSA-344)
- Various other fixes (bsc#1027519)

This update was imported from the SUSE:SLE-15-SP2:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.2:

zypper in -t patch openSUSE-2020-1608=1



Package List:

- openSUSE Leap 15.2 (i586 x86_64):

xen-debugsource-4.13.1_08-lp152.2.9.1
xen-devel-4.13.1_08-lp152.2.9.1
xen-libs-4.13.1_08-lp152.2.9.1
xen-libs-debuginfo-4.13.1_08-lp152.2.9.1
xen-tools-domU-4.13.1_08-lp152.2.9.1
xen-tools-domU-debuginfo-4.13.1_08-lp152.2.9.1

- openSUSE Leap 15.2 (x86_64):

xen-4.13.1_08-lp152.2.9.1
xen-doc-html-4.13.1_08-lp152.2.9.1
xen-libs-32bit-4.13.1_08-lp152.2.9.1
xen-libs-32bit-debuginfo-4.13.1_08-lp152.2.9.1
xen-tools-4.13.1_08-lp152.2.9.1
xen-tools-debuginfo-4.13.1_08-lp152.2.9.1

- openSUSE Leap 15.2 (noarch):

xen-tools-xendomains-wait-disk-4.13.1_08-lp152.2.9.1


References:

https://www.suse.com/security/cve/CVE-2020-25595.html
https://www.suse.com/security/cve/CVE-2020-25596.html
https://www.suse.com/security/cve/CVE-2020-25597.html
https://www.suse.com/security/cve/CVE-2020-25598.html
https://www.suse.com/security/cve/CVE-2020-25599.html
https://www.suse.com/security/cve/CVE-2020-25600.html
https://www.suse.com/security/cve/CVE-2020-25601.html
https://www.suse.com/security/cve/CVE-2020-25602.html
https://www.suse.com/security/cve/CVE-2020-25603.html
https://www.suse.com/security/cve/CVE-2020-25604.html
https://bugzilla.suse.com/1027519
https://bugzilla.suse.com/1176339
https://bugzilla.suse.com/1176341
https://bugzilla.suse.com/1176343
https://bugzilla.suse.com/1176344
https://bugzilla.suse.com/1176345
https://bugzilla.suse.com/1176346
https://bugzilla.suse.com/1176347
https://bugzilla.suse.com/1176348
https://bugzilla.suse.com/1176349
https://bugzilla.suse.com/1176350


< Previous Next >
This Thread
  • No further messages